import sys
import os
from MSPyMstnPlatform import *

# Helper functions that suit many Python projects

def dump(obj):
    """Print the properties of an object"""
    for attr in dir(obj):
        print("obj.%s = %r" % (attr, getattr(obj, attr)))

def getScriptFolder ()->str:
    """Get the folder that contains this Python script"""
    return os.path.join(os.path.dirname(__file__))
    
def getFileFromScriptFolder (fileName: str)->str:
    """Get a fully-qualified file path for a file in this script's folder"""
    scriptFolder = getScriptFolder()
    filePath = os.path.join(getScriptFolder(), fileName)
    if os.path.isfile(filePath):
        return filePath
    else:
        #   Advise user that the file name is incorrect
        brief = f"File '{fileName}' does not exist"
        verbose = f"File '{filePath}' does not exist"
        #   These messages are displayed in MicroStation's Message Center
        MessageCenter.ShowErrorMessage (brief, verbose, False)
        #   Return an empty string
        return str()
